// Listing 9.8. Przykładowy program ch4_wx.cpp, który pobiera
// jeden argument wskazujący plik wideo. Film ten będzie odtwarzany
// w zdefiniowanym przez nas obiekcie wxWidgets o nazwie WxMoviePlayer.
//
#include "wx/wx.h"
#include "WxMoviePlayer.hpp"
// klasa aplikacji — w wxWidgets obiekt najwyższego poziomu
//
class MyApp : public wxApp {
  public:
    virtual bool OnInit();
};
// wewnętrzne mechanizmy tworzenia funkcji main() i wiązania z nią MyApp
//
DECLARE_APP( MyApp );
IMPLEMENT_APP( MyApp );
// po zainicjalizowaniu MyApp
//
bool MyApp::OnInit() {
  wxFrame* frame = new wxFrame( NULL, wxID_ANY, wxT("ch4_wx") );
  frame->Show( true );
  WxMoviePlayer* mp = new WxMoviePlayer(
    frame,
    wxPoint( -1, -1 ),
    wxSize( 640, 480 )
  );
  mp->open( wxString(argv[1]) );
  mp->Show( true );
  return true;
}
